What's New in This Version

Noise Reduction

Copyright © 2009. Sony Creative Software Inc.
All Rights Reserved
Revised May 26, 2009

The Noise Reduction DirectX plug-in actually contains four discrete plug-ins: Noise Reduction, Click and Crackle Removal, Audio Restoration, and Clipped Peak Restoration. You can use these plug-ins to analyze and remove background noise from your audio recordings.

ACID, ACIDized, ACIDplanet.com, ACIDplanet, the ACIDplanet logo, ACID XMC, Artist Integrated, the Artist Integrated logo, Beatmapper, Cinescore, CD Architect, DVD Architect, Jam Trax, Perfect Clarity Audio, Photo Go, Sound Forge, Super Duper Music Looper, Transparent Technology, Vegas, Vision Series, and Visual Creation Studio are the trademarks or registered trademarks of Sony Creative Software Inc. in the United States and other countries. All other trademarks or registered trademarks are the property of their respective owners in the United States and other countries.

Sony Creative Software Inc. may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Sony Creative Software Inc., the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.


Using Help

The following icons are used throughout this help file.

Symbol | Meaning
 | Drop-down text: click to display more information. Click again to hide the drop-down text.
 | Note: provides additional information.
 | Tip: provides a shortcut or an alternate means of performing a task.
 | Warning: important information that you need to know before performing a task.
Underlined Text | Link: Click the blue underlined word to jump to another topic. Click the Back button to return to the previous topic.
Underlined Text | Popup: Click the green underlined word to view a popup definition or graphic. Click outside the popup window to close it.

Press F1 or choose Contents and Index from the Help menu to display the online Help (but then, you're reading this, so you've figured that out already).

The Contents tab

The Contents tab provides a categorized listing of available Help topics. Click a book [image] to open it, and click the topic page [image] you want to view. The topic is displayed in the right-hand pane.

The Index tab

The Index tab provides a complete listing of the Help topics available sorted by keyword. Use the scroll bar to scroll through the list of available topics or type a word in the text box to quickly locate topics related to the word. Select a topic and click the Display button.

The Search tab

The Search tab allows you to enter a keyword and display all of the topics in the online Help that contain the keyword you have entered. Type a keyword in the text box and click the List Topics button. Select a topic from the list and click the Display button.

The Favorites tab

The Favorites tab allows you to easily return to topics that you use often. To view a topic from the Favorites tab, select the topic in the Topics list and click the display button. To add a topic to the Favorites tab, simply click the Add button. To remove a topic, select the topic in the Topics list and click the Remove button.

Command | Keyboard Shortcut
Toggle between panes | F6
Scroll | Up/Down Arrow
Open selected book | Enter or Right Arrow
Close selected book | Enter or Left Arrow
Open selected link | Enter (when right-hand pane is active)
Toggle selected link | Tab or Shift+Tab (when right-hand pane is active)
Toggle Contents, Index, Search, and Favorites tabs | Ctrl+Tab (when left-hand pane is active) Contents = Alt+C Index = Alt+N Search = Alt+S Favorites = Alt+I
Back | Alt+Left Arrow
Forward | Alt+Right Arrow
Print topic | Ctrl+P

Using the Online Help

The Noise Reduction online help contains help for all of the features in the Noise Reduction plug-in. Additional information can be found on the Sony Creative Software Inc. Web site. The Noise Reduction online help window functions the same as other Microsoft HTML help programs. For information on using the standard window commands, refer to the Microsoft online help.

Please take a moment to familiarize yourself with the online help conventions.

What do you want to do?

Graphical conventions

The help window

Help window keyboard shortcuts


Technical Support

If you experience problems or have questions while using the Noise Reduction Plug-In, our technical support department is always ready to help you. Additional support and information can be found on the Sony Creative Software Inc. Web site.

  • For a detailed list of Technical Support options, please visit the Support page on our Web site.

  • To listen to your support options, please call 608-256-5555.


Overview

The Noise Reduction DirectX plug-in actually contains four discrete plug-ins: Noise Reduction, Click and Crackle Removal, Audio Restoration, and Clipped Peak Restoration.

Which plug-in do you want to use?

Noise Reduction

Click and Crackle Removal

Audio Restoration

Clipped Peak Restoration


Noise Reduction Overview

The Noise Reduction plug-in is designed to analyze and remove background noise such as tape hiss, electrical hum, and machinery rumble from sound recordings. Unlike a normal filter, it can do so without removing part of the source material. This is accomplished by separating the audio into its frequency components and using a "noiseprint" to distinguish unwanted noise from the desired signal.

A noiseprint is created by analyzing a portion of the recording where there is no source material, such as during a silent lead-in. The Noise Reduction plug-in stores frequency and amplitude information about the noise in the recording. Once a noiseprint has been generated, you can modify it to determine what parts of the frequency spectrum you want to remove. However, this type of manual modification is not usually necessary.

The noise reduction algorithm works well to remove constant background noise. Rapidly changing or "erratic" noise such as traffic sounds or vinyl pops are not well suited for this algorithm (for more information on removing clicks and pops, see Click and Crackle Removal). However, different types of noise can be removed by generating a separate noiseprint for each type.

Also note that in cases where the noise is of equal or greater volume level than the source material, it can be difficult, if not impossible, to clean up without some resulting audible side effects.

What do you want to do?

Capture a noiseprint

Navigate and edit the noiseprint

Adjust General page controls

Adjust Noiseprint page controls


Capturing a Noiseprint

Use the following procedure to use the default plug-in settings. For most applications, the default settings will work very well. If you want to fine-tune your settings, please see Noise Reduction: General Page Controls or Navigating and Editing the Noiseprint.

  1. In the file you want to edit, create a selection that contains the noise you want to remove. The beginning or end of a file is often a good place to find a noiseprint.

    In the ACNOISE.WAV file that was installed with the plug-in, a region at the end of the file marks a section that should be silent, but contains air-conditioner noise.

  2. Open the Noise Reduction plug-in:

  3. If you're using Sound Forge 9.0, choose Noise Reduction from the Tools menu.

  4. If you're using Sound Forge 7.0 or 8.0, choose Sony from the DX Favorites or FX Favorites menu, and then choose Noise Reduction from the submenu.

  3. Select the Capture noiseprint check box.

  4. Click the Preview button.

    The plug-in will make one preview pass through the selection and then loop back to the beginning. After the first pass, the plug-in switches from capture mode to process mode. In process mode, the plug-in reduces noise in real-time. However, you are only reducing the noise on your current selection.

  5. Right-click the blank space below the Real-time check box and choose Select All Data from the shortcut menu.

    The entire file will now play so you can hear the result of removing the captured noiseprint. If you want to learn more about changing the parameters, click here.

  6. Click the OK button to process the entire file.

In Sound Forge, the Plug-in Chainer allows you to run multiple DirectX effects at a time. For example, you could run two instances for Noise Reduction—each with different settings and noiseprint parameters—or you can create a chain that performs Click and Crackle Removal followed by Vinyl Restoration, and then finish up with Noise Reduction, all in one pass, based on your settings.

The advantage of the Audio Plug-in Chainer is that you can create a chain of effects that an audio file will pass through one time. This can speed up the restoration process significantly.

Use the following procedure to use the default plug-in settings. For most applications, the default settings will work very well. If you want to fine-tune your settings, please see Noise Reduction: General Page Controls or Navigating and Editing the Noiseprint.

  1. From the Sound Forge View menu, choose Plug-In Chainer.

  2. Create a plug-in chain:

a. Click the Add button [image] to display the Plug-In Chooser.

b. In the Plug-In Chooser, select the Noise Reduction plug in, and then click the Add button.

c. Click OK to chose the Plug-In Chooser and return to the Plug-In Chainer.

  3. Click the Noise Reduction button at the top if the Plug-In Chainer to display the plug-in's controls.

  4. In the file you want to edit, create a selection that contains the noise you want to remove. The beginning or end of a file is often a good place to find a noiseprint.

    In the ACNOISE.WAV file that was installed with the plug-in, a region at the end of the file marks a section that should be silent, but contains air-conditioner noise.

  5. In the Plug-In Chainer, select the Capture noiseprint check box.

  6. Click the Preview button [image] in the Plug-In Chainer.

    If Loop Playback [image] is selected, the plug-in will play the noiseprint repeatedly. Click the Stop button [image] and then click the Preview button [image] again to switch from capture mode to process mode. In process mode, the plug-in reduces noise in real-time so you can fine-tune the noise-reduction settings.

    If Loop Playback is not selected, the plug-in will play through the selection once to capture the noiseprint, and then playback will stop.

  7. If you're using multiple instances of the Noise Reduction plug-in in the chain, repeat steps 3 through 6 to capture a noiseprint for each instance.

  8. Select the portion of the data window that you want to process.

  9. Click the Process Selection button [image] in the Plug-In Chainer to process the selection.

If your audio file contains a useful noiseprint at the beginning of the file, you can use Noise Reduction as a non-real-time event effect.

When you use Noise Reduction as a non-real-time event effect, a new media file is rendered to represent the processed audio. Non-real-time effects are useful because they do not modify your source media and conserve processing power (processing takes place only once instead of each time you play back the project).

Use the following procedure to use the default plug-in settings. For most applications, the default settings will work very well. If you want to fine-tune your settings, please see Noise Reduction: General Page Controls or Navigating and Editing the Noiseprint.

  1. Create an event using the audio file you want to process.

    Make sure that there is a segment at the start of the audio file containing only noise and make a note of the length of this duration. You'll use this duration to set the automatic noiseprint capture.

  2. Add the Noise Reduction plug-in as a non-real-time event effect:

a. Select the event you want to process.

b. From the Tools menu, choose Audio, and then choose Apply Non-Real-Time Event FX. The Plug-In Chooser dialog is displayed.

c. In the Plug-In Chooser, select the Noise Reduction plug in, and then click the Add button.

d. Click OK to chose the Plug-In Chooser and display the Take dialog.

  3. Click the Noise Reduction button at the top if the Take dialog to display the plug-in's controls.

  4. In the Take dialog, select the Capture noiseprint check box.

  5. Set the length of the noiseprint you want to capture:

a. Select the Automatic capture timeout check box.

b. In the Automatic capture timeout box, type the length of the noiseprint you selected in step 1.

For example, if you have only 0.75 seconds of noise at the start of the file, set the timeout to 0.75. This will prevent the algorithm from using non-noisy material as the noiseprint.

  6. Click the Preview button [image] to play the selection and capture the noiseprint.

    After the Automatic capture timeout duration, the plug-in switches from capture mode to process mode. In process mode, the plug-in reduces noise in real-time so you can fine-tune the noise-reduction settings.

  7. If you're using multiple instances of the Noise Reduction plug-in in the chain, repeat steps 3 through 6 to capture a noiseprint for each instance.

  8. Click the OK button in the Take dialog. The Apply Non Real-Time FX dialog appears.

  9. Type a file name and choose a format for the new media file.

  10. Click the Save button. After processing, a new file is added to the Project Media window and a new take is added to the event.

In ACID and Vegas, you can use Noise Reduction as a track or bus effect.

Though you can also use the Noise Reduction plug-in as an assignable effect, this application is practical only when you want to remove the same noiseprint from multiple sources. When using the Noise Reduction plug-in as an assignable effect, set the track Volume fader to -Inf and right-click the FX fader in the track header and choose Pre Volume from the shortcut menu.

Use the following procedure to use the default plug-in settings. For most applications, the default settings will work very well. If you want to fine-tune your settings, please see Noise Reduction: General Page Controls or Navigating and Editing the Noiseprint.

  1. Add the Noise Reduction plug-in to a track, bus, or assignable effects chain:

a. Click the [image] button on the track, bus, or assignable effects control where you want to add the Noise Reduction plug-in. The Audio Plug-In window is displayed.

The [image] button is displayed in gray when the effects chain is empty. Clicking the [image] button on an empty effects chain displays the Plug-In Chooser.

b. In the Audio Plug-In window, click the Plug-In Chain button [image] to display the Plug-In Chooser

c. In the Plug-In Chooser, select the Noise Reduction plug in, and then click the Add button.

d. Click OK to chose the Plug-In Chooser and return to the Audio Plug-In window.

  2. Click the Noise Reduction button at the top if the Audio Plug-In window to display the plug-in's controls.

  3. In the event you want to edit, create a selection that contains the noise you want to remove. The beginning or end of a file is often a good place to find a noiseprint.

    In the ACNOISE.WAV file that was installed with the plug-in, a region at the end of the file marks a section that should be silent, but contains air-conditioner noise.

  4. In the Audio Plug-In window, select the Capture noiseprint check box.

  5. Click the Play button [image] below the main application timeline to play the selection and capture the noiseprint.

  6. After the selection has played through once, click the Stop button [image] to switch from capture mode to process mode. In process mode, the plug-in reduces noise in real-time so you can fine-tune the noise-reduction settings.

  7. If you're using multiple instances of the Noise Reduction plug-in in the chain, repeat steps 2 through 6 to capture a noiseprint for each instance.

  8. When you play back or render your project, the noiseprint you captured will be used to process all audio on the track or bus.

To reduce the processing load on your computer, you can create a new file using the processed output. Mute all unwanted tracks and then choose Mix to New Track from the Tools menu. A new track will be created using processed, unmuted tracks, and you can delete the original tracks from your project.

Capturing a Noiseprint

Removing noise from a recording is a two-step process. First, you capture a noiseprint from a section of audio containing only noise. The plug-in then uses that noiseprint to remove the noise from your recording.

The selection of noise to be analyzed can be less than one second in length.

Using the Noise Reduction plug-in to remove noise requires different methods of noiseprint gathering depending on the host application you are using.

What do you want to do?

Use Noise Reduction in Sound Forge

Use Noise Reduction in the Sound Forge Plug-In Chainer

Use Noise Reduction as a non-real-time event effect in Vegas

Use Noise Reduction as a track or bus effect in Vegas or ACID


Navigating and Editing the Noiseprint

The Average and Peak radio buttons allow you to choose how the plug-in calculates the noiseprint:

  • Select the Peak radio button if the noise changes over time.

  • Select the Average radio button if the noise is consistent.

Click between two envelope points to add a new point.

Double-click an envelope point to remove it.

The envelope points can all be raised or lowered by using the Envelope amplitude control:

This is similar to using the Noise bias control: click the up arrow to raise all points, or click the down arrow to lower all points. If you raise the points too high, it is likely that you will remove part of the source material and generate flange-like artifacts. If the points are too close to the noiseprint, some of the noise may not be removed. Remember that for the noise to be removed, the envelope contour must be above the noiseprint.

For some applications, it may be necessary to move individual or groups of envelope points. For example, if your source material has a lot of frequency content in common with the noise, it may be beneficial to reduce the noise only in the places where there is not a much overlap. This is a frequent case with speech and tape-hiss noise. If you select all of the points below approximately 1000 Hz and drag them down so that the Noise Reduction will not affect those frequencies, you will eliminate the more noticeable high-frequency noise and preserve the low-frequency body of the voice.

  • To move an individual point, drag the envelope point up or down.

  • To move a group of points, click on the noiseprint graph and drag to create a selection box around the points you want to edit. Selected envelope points are displayed in red. Drag any selected envelope point up or down to move the entire group.

  • You can reset the envelope to its default position by clicking the Reset button.

  • Click the Fit button to reapply the envelope to the current noiseprint.

  1. Right-click the noiseprint graph.

  2. Choose Normalize dB from the shortcut menu. The graph is zoomed so the maximum envelope point is moved to at the top of the graph.

    To zoom out, right-click the graph and choose     Zoom Out Full from the shortcut menu.

  1. Click on the noiseprint graph and drag to create a selection box around the points you want to view. Selected envelope points are displayed in red.

  2. Right-click the graph and choose Zoom Selection from the shortcut menu. The graph shows only the envelope points you selected in step 1.

    To zoom out, right-click the graph and choose Zoom Out Full from the shortcut menu.

  1. Click on the noiseprint graph and drag to create a selection box.

  2. While holding the left mouse button, click the right mouse button to toggle through the three magnification modes. In magnification mode, the pointer is displayed as a [image]:

  3. Zoom frequency only: magnifies horizontally without changing the vertical level of the data window. This will allow you to zoom into a specific frequency range of the noiseprint.

  4. Zoom amplitude only: magnifies vertically without changing the horizontal level of the data window. This will allow you to zoom into a specific amplitude range of the noiseprint.

  5. Zoom frequency/amplitude: magnifies horizontally and vertically. It functions in much the same way as the selection mode. This will allow you to zoom into a very specific frequency and amplitude range of the Noiseprint.

    To return to the selection mode, right-click until the pointer is displayed as a regular mouse pointer.

You can use Grab/Pan mode to scroll the noiseprint graph when you're zoomed in. To switch into Grab/Pan mode, right-click the noiseprint and choose Grab/Pan from the shortcut menu. Click and drag in the noiseprint to scroll in Grab/Pan mode.

To switch out of Grab/Pan mode, right-click the noiseprint and choose Grab/Pan again.

Right-click the noiseprint graph and choose a command from the shortcut menu to change the display.

Setting | Description
Logarithmic | Displays the frequencies in the noiseprint graph on a logarithmic scale. When Logarithmic is not selected, frequencies are displayed on a linear scale.
Line Graph | Displays the noiseprint as a single, unfilled line.
Bar Graph | Displays the noiseprint as a series of bars corresponding to the real frequency bins.
Filled Graph | Displays the noiseprint as a color-filled graph. It can be easier to distinguish the noiseprint and envelope in this mode.

Navigating and Editing the Noiseprint

After you’ve captured a noiseprint, the frequency spectrum of the noise is displayed, along with envelope points outlining the noise model that the algorithm will use. The most important point to remember is that signals below the envelope level will be considered noisy and will be attenuated, while signals above the noise envelope level will be left untouched. Therefore, when you raise the envelope points, more signal will be removed. Lowering the envelope points causes less of the original signal to be attenuated.

The spectrum graph displays the amplitude (in dB) of each frequency component from 0 Hz to the Nyquist frequency. Frequency is displayed along the X (horizontal) axis, and amplitude is displayed along the Y (vertical) axis. Let's analyze the following sample graph:

  • The teal portion represents the noiseprint (this graph is displayed in Filled Graph mode).

  • The red points are the envelope points that will be used to remove the noise (we pressed Ctrl+A to select all envelope points to change their display color to red).

  • The loudest noise occurs around 560 Hz. Note that the display in the upper-right corner of the graph indicates that the envelope point represented by the [image] pointer is -23 dB at 560 Hz.

What do you want to do?

Change the way the noiseprint is calculated

Add or delete envelope points

Move all envelope points

Move all envelope points

Normalize the noiseprint graph

Zoom to a selection

Zoom with the mouse

Navigate the graph in Grab/Pan mode

Change the graph display


Noise Reduction: General Page Controls

General Page Controls

The Capturing a Noiseprint topic showed you how to isolate the noise in a recording and remove noise using the default plug-in settings.

If you want more control over the plug-in, this topic will show you how to adjust the controls on the plug-in's General page.

Item

Description

Reduction type

Choose a setting from the drop-down list to select from 4 different internal algorithms used to reduce the noise.

In general, Mode 2 will work well in most cases. However, it is always worthwhile to test all modes and pick the one that gives you the best results.

Mode 0 | Excellent for very low-level noise and can often reduce the highest amount of noise from a source. However, this mode is most prone to producing artifacts when reducing too much noise or when the Noise bias slider is set too low.
Mode 1 | Similar to Mode 0, but less likely to produce artifacts; this mode removes less noise than Mode 0.
Mode 2 | The default noise reduction type. This mode removes less noise than Modes 0 or 1, and it is less likely to produce artifacts.
Mode 3 | This mode is least prone to producing causing artifacts and often sounds much more natural than the other modes. However, not as much noise is removed in some cases.

Tips:

  • When using Modes 1,2, or 3, adjusting the Noise bias control can make a large difference in the quality of the output.

  • Also, the Reduce noise by control can be set higher than in Mode 0 without introducing artifacts.

Reduce noise by

Drag the fader or type a value in the edit box to control the amount by of noise that will be removed. Higher values remove more noise but are more likely to add unwanted artifacts to the material you wish to keep.

Settings of 10 to 20 dB will usually provide the best results on a single pass, but depending on the source material, you can experiment with higher settings.

To remove stubborn noise, perform several passes by removing noise with a setting of 10 to 20 dB, capturing a new noiseprint, and then processing the file again. Two passes of 20 dB, for example, will usually give you better results than a single pass at 40 dB.

Noise bias

Drag the slider or type a value in the edit box to fine tune the overall level of the noiseprint. Adjusting this slider is much like moving all the noiseprint envelope points up and down.

Although a setting of 0 dB is generally very effective, trying values between –6 dB and + 6 dB is recommended for maximizing noise-reduction quality. Moving the Noise bias control above 0 dB removes more noise, but is more likely to cause low-level, non-noisy audio to be reduced. Noise bias levels below 0 dB will reduce the amount of signal attenuated, but if set too low, noise will remain in the audio.

Since the Noise bias and Reduce noise by controls are interdependent, it is recommended that you adjust these controls until you find the right balance.

Tips:

  • When using Mode 0, setting the Noise bias too low will cause electronic-sounding chirps to appear on the output.

  • When the Noise bias is set too high, the audio will sound dull since too much will be removed.

Attack speed

Drag the slider or type a value in the edit box to determine how quickly the noise reduction algorithm reacts to a noiseless signal.

Low values often remove fast transients from a sound, while fast values can create audible artifacts during fast attacks.

Release speed

Drag the slider or type a value in the edit box to determine how quickly the noise reduction algorithm reacts to a noisy signal.

Higher values can cause the algorithm to trim the ends of long decaying sounds.

Windowing FFT size

Drag the slider or type a value in the edit box to set the size (in samples) of the analysis window and the number of discrete frequencies used during noise reduction.

The default value of 2,048 is recommended for most cases. Higher numbers yield more frequency resolution at the expense of longer processing time.

After selecting a new setting, you should capture a new noiseprint.

Windowing overlap

Drag the slider or type a value in the edit box to set the amount of overlap between FFT analysis windows.

A lower setting decreases the number of distinct analysis functions performed, which decreases processing time. High settings allow for more analysis, which results in extremely slow processing. Raising the overlap factor above 75% is often sonically unnoticeable, so unless you have extra time on your hands, it is strongly recommended that the default setting of 75% be used.

After selecting a new setting, you should capture a new noiseprint.

High-shelf start freq

You can use the high-shelf filter to brighten the sound after removing noise. Frequently, noise reduction decreases the high frequencies in the source material; enabling the high-shelf filter and boosting the high frequencies can compensate for this loss.

Select the check box and drag the slider to adjust the frequency above which the filter will be applied to the source material.

High-shelf gain

When the High-shelf start freq check box is selected, drag the High-shelf gain fader to adjust the level by which the filter boosts or cuts high frequencies.

Drag to the right to boost high-frequency content, or drag to the left to cut high-frequency content.

Keep residual output

Select this check box to invert the noise reduction process: when you preview the plug-in settings with this check box selected, you will hear the noise you are removing rather than the source material you are keeping. This can be a valuable tool when adjusting parameters because you can hear whether you are removing any of the source material you want to keep.

For example, if you are reducing some noise from the background of a speech and you hear some of the speech in the residual output, you know you are adversely affecting the quality of the source material. You can then change the settings so that none or as little of the residual output contains the material you want to keep.

Capture noiseprint

Select this check box to capture a noiseprint from the currently selected region in the waveform when previewing.

Automatic capture timeout

Select this check box if you want the plug-in to switch from capture to processing mode after the specified amount of time. This is useful when you only want to capture a noiseprint for a certain amount of time after starting a preview.

To use this control, make sure that there is a segment at the start of the audio selection containing only noise. For example, if you have only 0.75 seconds of noise at the start of the file, set the timeout to 0.75 seconds. This will prevent the algorithm from using non-noisy material as the noiseprint.


Noise Reduction: Noiseprint Page Controls

Noiseprint Page Controls

The Noiseprint page is used to modify the way the Noise Reduction algorithm works on the noiseprint. By making modifications on this page, you can tailor the effects of the process for specific source material.

Item

Description

Reduction type

Choose a setting from the drop-down list to select from 4 different internal algorithms used to reduce the noise.

In general, Mode 2 will work well in most cases. However, it is always worthwhile to test all modes and pick the one that gives you the best results.

Mode 0 | Excellent for very low-level noise and can often reduce the highest amount of noise from a source. However, this mode is most prone to producing artifacts when reducing too much noise or when the Noise bias slider is set too low.
Mode 1 | Similar to Mode 0, but less likely to produce artifacts; this mode removes less noise than Mode 0.
Mode 2 | The default noise reduction type. This mode removes less noise than Modes 0 or 1, and it is less likely to produce artifacts.
Mode 3 | This mode is least prone to producing causing artifacts and often sounds much more natural than the other modes. However, not as much noise is removed in some cases.

Tips:

  • When using Modes 1,2, or 3, adjusting the Noise bias control can make a large difference in the quality of the output.

  • Also, the Reduce noise by control can be set higher than in Mode 0 without introducing artifacts.

Reduce noise by

Drag the fader or type a value in the edit box to control the amount by of noise that will be removed. Higher values remove more noise but are more likely to add unwanted artifacts to the material you wish to keep.

Settings of 10 to 20 dB will usually provide the best results on a single pass, but depending on the source material, you can experiment with higher settings.

To remove stubborn noise, perform several passes by removing noise with a setting of 10 to 20 dB, capturing a new noiseprint, and then processing the file again. Two passes of 20 dB, for example, will usually give you better results than a single pass at 40 dB.

Noise bias

Drag the slider or type a value in the edit box to fine tune the overall level of the noiseprint. Adjusting this slider is much like moving all the noiseprint envelope points up and down.

Although a setting of 0 dB is generally very effective, trying values between –6 dB and + 6 dB is recommended for maximizing noise-reduction quality. Moving the Noise bias control above 0 dB removes more noise, but is more likely to cause low-level, non-noisy audio to be reduced. Noise bias levels below 0 dB will reduce the amount of signal attenuated, but if set too low, noise will remain in the audio.

Since the Noise bias and Reduce noise by controls are interdependent, it is recommended that you adjust these controls until you find the right balance.

Tips:

  • When using Mode 0, setting the Noise bias too low will cause electronic-sounding chirps to appear on the output.

  • When the Noise bias is set too high, the audio will sound dull since too much will be removed.

Noiseprint

Select a radio button to choose how you want the plug-in to calculate the noiseprint.

Select the Peak radio button if the noise changes over time, or select the Average radio button if the noise is consistent.

Keep residual output

Select this check box to invert the noise reduction process: when you preview the plug-in settings with this check box selected, you will hear the noise you are removing rather than the source material you are keeping. This can be a valuable tool when adjusting parameters because you can hear whether you are removing any of the source material you want to keep.

For example, if you are reducing some noise from the background of a speech and you hear some of the speech in the residual output, you know you are adversely affecting the quality of the source material. You can then change the settings so that none or as little of the residual output contains the material you want to keep.

Fit size

Type a value in the box or use the spinner control to determine how many envelope points are created after capturing a noiseprint.

In general, using a large number of envelope points is recommended: using more envelope points allows the Noise Reduction algorithm can work more precisely to reduce noise. This is important if the curve of the noise spectrum is very jagged. You may want to use a smaller Fit size if you plan to manually modify the envelope points.

After editing the Fit size value, click the Fit button to generate new envelope points.

Capture noiseprint

Select this check box to capture a noiseprint from the currently selected region in the waveform when previewing.

Automatic capture timeout

Select this check box if you want the plug-in to switch from capture to processing mode after the specified amount of time. This is useful when you only want to capture a noiseprint for a certain amount of time after starting a preview.

To use this control, make sure that there is a segment at the start of the audio selection containing only noise. For example, if you have only 0.75 seconds of noise at the start of the file, set the timeout to 0.75 seconds. This will prevent the algorithm from using non-noisy material as the noiseprint.


Click and Crackle Removal Overview

Clicks and pops are often found in older recordings or are the result of bad splice editing. They can be detected visually as sharp glitches in the normal curve of a waveform.

The Click and Crackle Removal plug-in is designed to process a region in a sound file and detect and remove all clicks automatically.

Several presets are supplied to get you started. In general, either the Default for 78 RPM recordings or the Default for vinyl recordings preset is the best starting point. The Basic setting for slower computers preset should be used as a starting point for real-time preview if you experience stuttering playback. In some host applications, you may be able to disable real-time preview if you continue to experience performance problems.

With minor adjustments, one of the Click and Crackle Removal presets should work well for your application. Since each control affects the output significantly, we recommend spending some time trying different variations. As you experiment, you will learn how each control changes the output.

Notes:

  • In some cases, adjusting a control will not produce significant audible changes.

  • The click and crackle removal algorithm is designed to find and remove pops and clicks, not broadband or long scratch noises. After removing any glitches, you should use the Noise Reduction plug-in to remove other background noise.

  1. Add the Click and Crackle Removal plug-in in your host application and open the Click and Crackle Removal dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

Item

Description

Sensitivity

Drag the slider to determine how sensitive the detection algorithm is to impulsive sounds:

  • With settings below 10, only very significant clicks will be removed.

  • Between 10 and 17, smaller clicks will also be removed.

  • Above 17, tiny clicks that cause crackling will also be removed.

Tips:

  • The best settings for 78 RPM recordings tend to run from 16 to 19, but really noisy 78s may require the maximum setting for best results.

  • When very aggressive Sensitivity settings are used, set the Max click size control to 1.0 millisecond or less to prevent damage to percussive attacks.

Click shape

Drag the slider to set the type of clicks the algorithm detects. In most cases, use a setting between 4 and 6.

  • With settings above 6, very small, high-frequency clicks will be more easily detected.

  • With settings below 4, larger, low-frequency pops will be detected more easily.

  • For very old acoustic (all mechanical) recordings, a setting of 2 may be necessary to detect clicks.

  • Since the clicks from old 78s are generally made up of a lower frequency distribution than LPs, settings of 3 and 4 tend to detect them better.

  • The clicks from LPs with a greater amount of high-frequency content are better detected with larger settings such as 6 or 7.

Max click size

Drag the slider to set the longest click that will be detected by the algorithm. In most cases, the default setting of 3 milliseconds works well.

Lower settings can be useful if you want to remove only small clicks or crackling. However, if your file has many cymbal hits, snare drums, castanets, etc., they could be misinterpreted as clicks. Lower settings (such as 1.0 ms) will prevent these fast attacks from being removed.

If you look at the waveform of castanets, brushes on high-hat cymbal, blocks, maracas, and numerous other instruments, you will see that their sound waves actually look very similar to clicks, but last for a slightly longer time. If your material has these kinds of percussive sounds, the a setting near 0.8 ms may help protect them. However, when this setting is set to a low value, you will often have to manually remove larger pops that are missed by the algorithm. You will have choose a setting based on how much loss is acceptable and how much time you can spend manually declicking these missed clicks.

Noise level

Select a radio button to indicate the noise level in your recording.

The Low and Medium settings split the audio input into noise and non-noise portions, and clicks are removed from only the noisy part of the audio. These settings often produce fewer artifacts; however, these settings increase processor usage, and some users will not be able to preview in real-time.

When set to High, the algorithm will not try to split the audio into noisy and non-noisy parts before removing clicks. The high setting uses less processing power, so this setting is the recommended setting for slower computers. However, some source material (especially low voice and horns) can sometimes cause the detection algorithm to misinterpret data and produce audible artifacts.

Use the High setting for low thumping that may not be corrected by the Low and Medium settings.

Remove low-frequency rumble

Select this check box if you want to remove very low frequencies (below 30 Hz) during processing. This often also helps the detection algorithm work more efficiently.

When this check box is selected, the output waveform can different from the original. The difference is due to the large amounts of very low-frequency noise content in older recordings (generated from slightly warped discs). Removing this noise is usually completely inaudible and keeps your speakers from reproducing sounds you can't hear.

When removing clicks from a small selection (such as one second of audio), clear this check box to more easily preserve waveform continuity at the endpoints.

Keep residual output

Select this check box to invert the Click and Crackle removal process: instead of hearing the source material you are keeping, you will hear the noise you are removing. This can be a valuable tool when adjusting parameters because you can hear whether you are removing any of the source material you want to keep.


Audio Restoration Overview

Audio Restoration is designed to remove both impulsive (pops and clicks) and broadband surface noise from old recordings. An advanced filtering technique detects and automatically removes the very fast transients generated by dirt and scratches in the surface of a record. Then, a method similar to the Noise Reduction function is used to minimize the audibility of broadband surface noise.

The first thing you should realize is that a restored recording will never be perfect—you should concentrate on making it as enjoyable to listen to as possible. Most listeners don't mind a little hiss or a muffled pop. However, anything that sounds very unnatural can become very distracting. Moderation is the key.

  1. Add the Audio Restoration plug-in in your host application and open the Audio Restoration dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

Item

Description

Click removal amount

Drag the slider to adjust how clicks and crackling will be removed from your recording.

The default setting of 10 works well for most applications. A larger number will remove more clicks, but may also reduce some transient material that you would like to keep (such as drum hits). If you begin to notice wanted transients being reduced, decrease the setting.

For extra glitch-free recording, use the Click and Crackle Removal plug-in before and after running the Audio Restoration function. For some applications, it may be useful to manually remove some of the largest pops before processing.

Reduce noise by

Drag the slider to determine how much surface noise is removed from your recording.

The Reduce noise by, Affect frequencies above, and Noise floor sliders are the three main controls used to achieve the noise reduction you prefer. However, you will need to compromise between how much noise is reduced and how much high-frequency is lost.

  1. With the Reduce noise by value set to -8 dB and Affect frequencies above set to 2000 Hz, start raising the Noise floor slider until the high-frequency noise is noticeably reduced.

  2. Increase or decrease the amount of noise reduction with the Reduce noise by slider.

    No reduction will occur if you set the control to 0 dB. Setting this value much higher than 15 dB can cause undesirable artifacts and too much high-frequency loss.

  3. Use the Affect frequencies above slider to determine the frequency level that the Reduce noise by value affects. For example, you may apply noise reduction to high frequencies by setting the Affect frequencies above value to 8,000 Hz. This setting is useful when source material is being adversely affected by the amount of reduction you are trying to achieve.

If a lot of broadband noise remains after running the Audio Restoration plug-in, running the Noise Reduction plug-in can make a significant improvement in the signal-to-noise ratio. In fact, if you have the time or patience, running Audio Restoration without any noise reduction (0 dB) and then using the Noise Reduction plug-in will usually achieve the best results possible

Affect frequencies above

Drag the slider to set the lowest frequency at which noise reduction is used. Only frequencies at and above this setting are affected by the plug-in.

If noise reduction is removing too much high-frequency content, you can raise the start frequency (or lower the Reduce noise by and/or Noise floor setting).

Attack speed

Drag the slider to determine how quickly the noise-reduction algorithm reacts to a noiseless signal.

Low values often remove fast transients from a sound, while fast values can create audible artifacts during fast attacks.

Release speed

Drag the slider to determine how quickly the noise-reduction algorithm reacts to a noisy signal.

Higher values can cause the algorithm to trim the ends of long decaying sounds.

Noise floor

Drag the slider to set the level of sound that is considered to be noise. Noise reduction is applied only to signals below this setting.

In most circumstances, we recommend a setting between -60 and -85 dB. Raise the noise floor for very noisy recordings.


Clipped Peak Restoration Overview

Clipped Peak Restoration

Clipped Peak Restoration can make the difference between throwing away a once-in-a-lifetime recorded take that contains some clipping and having a virtually undistorted recording.

Clipping occurs when an audio signal reaches the maximum allowed level in a digital format. The waveform is effectively truncated at that maximum level. Unlike in analog systems, where clipping is gradual and non-linear, digital clipping creates a flat line on top of a waveform. The resulting sound, depending on the source and the severity of the overload, will often add a harsh, distorted quality to the audio, usually making it unusable. In the following sample waveform, the first two peaks are intact, and the last two peaks are clipped:

Clipped Peak Restoration recovers the signal lost due to clipping and reduces the harsh distortion. Clipped Peak Restoration rounds the tops of clipped peaks and applies peak limiting to the area immediately surrounding the audio clip. Nonclipped audio is not affected.

Although this plug-in is designed to be used on the entire file without affecting the source audio, it can also be used on smaller selections of the audio file.

Clipped Peak Restoration should only be used for material in which clipping is minimal. Heavily distorted material with areas where almost all peaks are clipped is often unsalvageable.

  1. Add the Clipped Peak Restoration plug-in in your host application and open the Clipped Peak Restoration dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

Item

Description

Attenuation

Drag the slider to reduce the volume of your audio file and create headroom for the reconstructed clipped peaks.

If you select the Enable post-limiter check box, no attenuation adjustment is required.

Enable post-limiter

Select this check box to apply compression to clipped peaks before restoration. Compression ensures that no further clipping will occur.

If you clear the Enable post-limiter check box, you must use the Attenuation control to allow for the reconstructed clipped peaks.

Crossfade edges

Select this check box to crossfade the beginning and end of your selection during clipped peak restoration.

Crossfading prevents audible clicks from being produced during restoration.


Tips and FAQs

In general, you should remove the impulsive clicks and pops before running Noise Reduction on a file.

  1. Run Click and Crackle Removal and then manually remove any clicks the algorithm missed.

  2. Run Noise Reduction to capture a noiseprint (running multiple passes of Noise Reduction can also help).

Running Click and Crackle Removal on a file twice often produces excellent results.

When using Noise Reduction, trying to remove too much noise at once can sometimes create high-pitched flanging-type artifacts in the processed signal. There are a couple of things you may try to avoid flanging.

  • On the General page, lower the Reduce noise by slider.

    Some files may require you to make multiple passes of Noise Reduction rather than trying to make one large pass. Reduction of 6 to 10 dB is usually a very safe amount to try for almost any sound file.

  • Use Modes 2 or 3 to minimize the chirps.

  • Adjust the Noise bias setting with its slider.

  • On the Noiseprint page, manually adjust the controls as they apply to the noiseprint.

Sometimes, especially for voice, lowering the Noiseprint envelope in the low frequencies can prevent the bulk of the artifacts. The effectiveness of this adjustment, however, is determined by the nature of the noise. For example, if the most objectionable portion of the noise is high-frequency material, as in tape hiss, the Noiseprint envelope can be effectively lowered in the lower frequencies.

Although there are many controls in Noise Reduction, you can get great results if you just learn how to use 4 of them: the Reduce noise by, Reduction type, Noise bias, and Capture noiseprint controls.

  1. Select the noise-only section using your audio editor. This selection can be one second or less of audio, but can be as long as you like, as long as it doesn't also contain the non-noisy audio.

  2. Select the Capture noiseprint check box.

  3. Start the processing (by clicking Preview in Sound Forge, or Play in other applications).

  4. Select the entire audio file, make sure the Capture noiseprint check box is cleared, and start previewing again.

  5. Use the Reduce noise by and Noise bias controls until you get the results you want.

Modifying the Reduction type can further improve the output quality, but is not always necessary. Mode 0 is best for low noise levels, and Mode 2 is recommended for noisier files.

In general, Mode 0 will sound the cleanest, but can sound unnatural and electronic when the noise level is high. Mode 3 will not completely remove the noise, but will generally sound the most natural for very noisy recordings.

Modes 1 and 2 compromise between Mode 0 and Mode 3. You may switch between the modes while previewing in real time and decide which one works best for your needs.

When trying the different modes, the Noise bias control should remain near 0 dB when using Mode 0, but it should be raised or lowered for the other modes to find the right balance. When the noise level is low, the modes will sound very similar and Mode 0 usually performs best.

In some cases, you may use Noise Reduction without having a noiseprint by performing the following steps:

  1. Choose Default for fast computers from the Preset drop-down list.

  2. Choose Mode 2 or Mode 3 from the Reduction type drop-down list.

  3. Preview without selecting the Capture noiseprint check box.

  4. Use the Noise bias control (with large values that are either positive or negative) and vary the Reduce noise by control to find an optimal setting.

We recommend setting the Reduce noise by control to 10 dB or less, since you will probably be removing a bit of high-end frequencies. It is common to get good results with minimal control adjustments.

This technique is often used after you have created your own noiseprint envelopes. You may raise or lower envelope points to change the amount of high-frequency dulling.

For example, to ensure that high frequencies are removed, raise all the envelope points in the higher frequencies. (This action creates a low-pass filter effect.) By raising the envelope points all the way to the top, you ensure that those frequencies will be attenuated by the Reduce Noise by amount.

Conversely, to ensure that low frequencies of the spectrum are not affected, lower all the envelope points (the ones on the left side of the noiseprint graph). In many cases, however, removing only high-frequency noise is all that is necessary to improve the material.

The Audio Restoration and the Click and Crackle Removal functions can be used to solve similar problems. However, the Click and Crackle Removal algorithm will generally perform better at removing the impulsive noise from both vinyl and old 78s. Also, the Click and Crackle Removal algorithm can be tuned to have much fewer side effects. After using Click and Crackle Removal, use the Noise Reduction function to remove the rest of the surface noise.

The Audio Restoration function is simpler to use, since it has fewer controls and performs noise reduction of surface noise at the same time as removing clicks. However, it will not remove as many smaller clicks and crackling and can sometimes remove percussive attacks from the sound source if used too aggressively.

With some material, the Click and Crackle Removal algorithm may remove the strong percussive hits along with the clicks. To prevent this, you can lower the Max click size setting until the percussive hits are not being harmed. You might need to lower the value to approximately 0.8 milliseconds before every cymbal hit is left untouched. However, low Max click size settings might prevent the algorithm from removing larger pops, which you will have to remove manually.

Files stored with only 8-bits per sample (as opposed to 16-bit or 24 bit) have an inherent noise floor that is very high. Removing the noise is possible during 16-bit playback, but when the files are saved back to 8-bit, the re-quantization puts the noise right back into the file. The only way to remove the noise is to run a noise gate that mutes the "silent" regions to zero. However, the noise will still be present during non-silent regions.

We recommend that you use a compressed format such as ADPCM or MPEG instead of using 8-bit PCM files. These compressed formats require the same amount of storage (or less) than 8-bit PCM but have a much lower noise floor.

The Noise Reduction and Click and Crackle Removal functions allow you to listen what is being removed from the audio.

When the Keep residual output check box is enabled, you can adjust settings while listening to just the noise and clicks. This will tell you exactly how much of the original signal is being removed and will help you determine the balance between how much noise or clicks you remove and how much signal you are losing. Also, it can help you understand how each of the parameters influences the output.

You may capture a noiseprint during playback by selecting and clearing the Capture noiseprint check box. However, since the audio that you are hearing might not be completely synchronized with what is being sent to the plug-in internally, you shouldn't use this method when the segment of noise-only material is small.

Some preprocessing done to a file before running Click and Crackle Removal or Vinyl Restoration can defeat the click-detection algorithm.

Specifically, if you remove much of the high-frequency content (using a low-pass EQ) or if you upsample a file before processing, the clicks can be altered enough to be unrecognizable by the algorithm. Even running Noise Reduction before declicking can cause problems. It is recommended that you run these processes after removing the clicks and pops.

You may manually create noiseprint envelopes. This feature, used properly, can be a powerful technique. Use this technique when there are no sections with noise-only material.

The following procedure is for practice and uses minimal settings to help you understand how this feature works. As you get accustomed to creating your own envelopes, you may create and work with custom envelopes with 6 points that will approximate the noise spectrum.

After getting a noiseprint, if the source has non-noisy material like voice in it, you will be able to see the peaks in the graph corresponding to "harmonic" audio. In many cases, the noise follows a constant decreasing linear slope and does not contain peaks.

The very small dips and peaks can be usually ignored when creating a noiseprint shape, but the very large peaks are usually part of the material that you want to keep. Your main goal is to have the envelope points be below what seems like the peaks from the non-noisy audio and above what looks like the sloping noise spectrum. In many cases, you can use a noiseprint of just 2 points, with the right-hand point lower than the left-hand one, depending on the amount of high frequencies content in the noise.

Creating a noiseprint envelope manually

  1. On the Noiseprint page, set the Fit size to 6 points. (The envelope will have 6 points.)

  2. Click the Fit button to create the envelope. The points will appear above the noiseprint on the graph.

  3. Move the envelope points so that they mirror the noise spectrum.

    We recommend that you move the envelope points below the peaks from non-noisy audio and above the sloping noise spectrum.

  4. Adjust the Noise bias control to achieve the noise reduction you want.

You may use either the Click and Crackle Removal plug-in or the Pencil tool [image] in Sound Forge to manually remove clicks and pop noise in an audio file.

Using Click and Crackle Removal plug-in

  1. Select approximately 15 milliseconds of the audio’s click noise. Make sure the click is centered in the selection.

  2. From the FX Favorites menu, choose Sony, and then choose Click and Crackle Removal. The Click and Crackle Removal dialog will appear.

  3. Adjust the Sensitivity control to a high setting and the Max click size control to 3.0 ms.

  4. Clear the Remove low frequency rumble check box.

  5. Right-click below the Preset drop-down list and choose Preview Configuration from the shortcut menu. The Real-Time Preview Configuration dialog will appear.

  6. Set Crossfade edges to 3 milliseconds. This setting will be applied each time you use Click and Crackle Removal in future restorations.

  7. Click OK to remove the click noise within your selection. If the click noise is not totally removed, repeat steps 2 through 7 and adjust the Sensitivity and Max click size controls.

If you are having trouble removing the click noise, try the same steps using the Audio Restoration plug-in.

Using the pencil tool in Sound Forge to remove clicks

  1. Magnify the click in the audio’s waveform.

  2. Select the Pencil tool [image].

  3. With the Pencil tool, draw in a new waveform over the click.

Using the Graphic Fade in Sound Forge to attenuate a click

  1. Select a region around a click of about 100 milliseconds

  2. From the Process menu, choose Fade, and choose Graphic from the submenu.

  3. Create a fade with 100% at the endpoint envelopes, and 2 envelope points inside with levels of around 25%. You will have to adjust the selection length and attenuation amount to get the right result.

  1. Select approximately 15 milliseconds of the audio’s click noise. Make sure the click is centered in the selection.

  2. From the FX Favorites menu, choose Sony, and then choose Clipped Peak Restoration. The Clipped Peak Restoration dialog will appear.

  3. Select the No attenuation, limit clips preset from the drop-down list.

  4. Select the Crossfade edges check box.

  5. Click the OK button and the clip should have been restored. If not, try making a larger selection in the file around the clip.

Tips and Frequently Asked Questions

The following tips can help you make the most out of your editing sessions with the Noise Reduction plug-in.

What do you want to do?

What is the best order to run the effects when restoring old records?

Why do I hear flange-type artifacts during processing?

There are too many controls in Noise Reduction, where do I start?

Which Noise Reduction mode should I use?

Applying Noise Reduction without a Noiseprint

Modifying the amount of high frequency reduction with envelope points

Choosing between Audio Restoration and Click and Crackle Removal

How do I ensure that Click and Crackle Removal doesn’t remove high hats and cymbal hits?

Why can’t I remove hiss from 8-bit files?

Using the residual output to fine tune parameters

Capturing a noiseprint during playback

Why aren’t any clicks being detected?

Creating noiseprint envelopes manually

Manually removing clicks and pops in Sound Forge

Manually removing clipping regions in Sound Forge